


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: RegisterUserAbcenseCommand</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.application.command</a> ]
</div>

<h1>Coverage Summary for Class: RegisterUserAbcenseCommand (com.dema.timeregistration.application.command)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">RegisterUserAbcenseCommand</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 6)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 15)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.application.command;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import com.dema.timeregistration.Utils;
<i>4</i>&nbsp;import com.dema.timeregistration.application.*;
<i>5</i>&nbsp;import com.dema.timeregistration.service.UserBookingService;
<i>6</i>&nbsp;import com.dema.timeregistration.service.models.RegisterUserAbsenceRequest;
<i>7</i>&nbsp;
<i>8</i>&nbsp;import java.util.Set;
<i>9</i>&nbsp;
<i>10</i>&nbsp;public class RegisterUserAbcenseCommand implements Command {
<i>11</i>&nbsp;    private final UserBookingService userBookingService;
<i>12</i>&nbsp;    private final ApplicationContext applicationContext;
<i>13</i>&nbsp;
<b class="nc"><i>14</i>&nbsp;    public RegisterUserAbcenseCommand(UserBookingService userBookingService, ApplicationContext applicationContext) {</b>
<b class="nc"><i>15</i>&nbsp;        this.userBookingService = userBookingService;</b>
<b class="nc"><i>16</i>&nbsp;        this.applicationContext = applicationContext;</b>
<b class="nc"><i>17</i>&nbsp;    }</b>
<i>18</i>&nbsp;
<i>19</i>&nbsp;    @Override
<i>20</i>&nbsp;    public String getDocumentation() {
<b class="nc"><i>21</i>&nbsp;        return &quot;Register your absence as a user with following parameters:\n-s start time of absence\n-e end time of&quot; +</b>
<i>22</i>&nbsp;                &quot; absence\n-r reason for absence\nExample of usage:\nregister-absence -s \&quot;01/01/2019 12:00\&quot; -e \&quot;01/02/2019 12:00\&quot; -r \&quot;Vacation\&quot;&quot;;
<i>23</i>&nbsp;    }
<i>24</i>&nbsp;
<i>25</i>&nbsp;    @Override
<i>26</i>&nbsp;    public String getKeyword() {
<b class="nc"><i>27</i>&nbsp;        return &quot;register-absence&quot;;</b>
<i>28</i>&nbsp;    }
<i>29</i>&nbsp;
<i>30</i>&nbsp;    @Override
<i>31</i>&nbsp;    public Set&lt;Parameter&gt; getParameters() {
<b class="nc"><i>32</i>&nbsp;        return Utils.newHashSet(</b>
<i>33</i>&nbsp;                new Parameter(&quot;s&quot;),
<i>34</i>&nbsp;                new Parameter(&quot;e&quot;),
<i>35</i>&nbsp;                new Parameter(&quot;r&quot;)
<i>36</i>&nbsp;        );
<i>37</i>&nbsp;    }
<i>38</i>&nbsp;
<i>39</i>&nbsp;    @Override
<i>40</i>&nbsp;    public CommandGroup getCommandGroup() {
<b class="nc"><i>41</i>&nbsp;        return CommandGroup.USER_BOOKING;</b>
<i>42</i>&nbsp;    }
<i>43</i>&nbsp;
<i>44</i>&nbsp;    @Override
<i>45</i>&nbsp;    public void doCommand(ParsedCommand parsedCommand) throws Exception {
<b class="nc"><i>46</i>&nbsp;        RegisterUserAbsenceRequest request = new RegisterUserAbsenceRequest();</b>
<b class="nc"><i>47</i>&nbsp;        request.setStartTime(parsedCommand.get(&quot;s&quot;));</b>
<b class="nc"><i>48</i>&nbsp;        request.setEndTime(parsedCommand.get(&quot;e&quot;));</b>
<b class="nc"><i>49</i>&nbsp;        request.setReason(parsedCommand.get(&quot;r&quot;));</b>
<i>50</i>&nbsp;
<b class="nc"><i>51</i>&nbsp;        userBookingService.registerUserAbsence(request, applicationContext.getUserContextOrThrow());</b>
<b class="nc"><i>52</i>&nbsp;        System.out.println(&quot;Success&quot;);</b>
<b class="nc"><i>53</i>&nbsp;    }</b>
<i>54</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
